## org.hibernate.annotations
Enum SortType

    java.lang.Object
      java.lang.Enum<SortType>
          org.hibernate.annotations.SortType

All Implemented Interfaces:
  Serializable, Comparable<SortType>

    public enum SortType

extends Enum<SortType>

Sort strategies

Enum Constant Summary
`COMPARATOR`
`NATURAL`
`UNSORTED`

Method Summary
`static SortType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SortType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSORTED

    public static final SortType UNSORTED

### NATURAL

    public static final SortType NATURAL

### COMPARATOR

    public static final SortType COMPARATOR

Method Detail

### values

    public static SortType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SortType c : SortType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SortType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.